Package com.microblink.blinkid.fragment.overlay.blinkid.reticleui

# Class ReticleOverlayStrings

java.lang.Object
com.microblink.blinkid.fragment.overlay.blinkid.reticleui.ReticleOverlayStrings

All Implemented Interfaces:
  `android.os.Parcelable`

public class ReticleOverlayStrings extends Object implements android.os.Parcelable

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ReticleOverlayStrings.Builder`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `backSideBarcodeInstructions`
  `final String`
  `backSideInstructions`
  `static final android.os.Parcelable.Creator<ReticleOverlayStrings>`
  `CREATOR`
  `final String`
  `dataMismatchMessage`
  `final String`
  `dataMismatchTitle`
  `final String`
  `errorBlurDetected`
  `final String`
  `errorDocumentNotFullyVisible`
  `final String`
  `errorDocumentTooCloseToEdge`
  `final String`
  `errorFacePhotoNotFullyVisible`
  `final String`
  `errorGlareDetected`
  `final String`
  `errorMoveCloser`
  `final String`
  `errorMoveFarther`
  `final String`
  `errorScanningWrongPageLeft`
  `final String`
  `errorScanningWrongPageRight`
  `final String`
  `errorScanningWrongPageTop`
  `final String`
  `errorScanningWrongSide`
  `final String`
  `firstSideInstructions`
  `final String`
  `flashlightWarning`
  `final String`
  `flipInstructions`
  `final String`
  `helpTooltip`
  `final String`
  `introductionDialogMessage`
  `final String`
  `introductionDialogTitle`
  `final String`
  `introductionDoneButton`
  `final String`
  `leftPageInstructions`
  `final String`
  `onboardingBackButtonText`
  `final String`
  `onboardingDoneButtonText`
  `final String[]`
  `onboardingMessages`
  `final String`
  `onboardingNextButtonText`
  `final String`
  `onboardingSkipButtonText`
  `final String[]`
  `onboardingTitles`
  `final String`
  `recognitionTimeoutMessage`
  `final String`
  `recognitionTimeoutTitle`
  `final String`
  `retryButton`
  `final String`
  `rightPageInstructions`
  `final String`
  `sidesNotMatchingMessage`
  `final String`
  `sidesNotMatchingTitle`
  `final String`
  `topPageInstructions`
  `final String`
  `turnLeftPageInstructions`
  `final String`
  `turnRightPageInstructions`
  `final String`
  `turnTopPageInstructions`
  `final String`
  `unsupportedDocumentMessage`
  `final String`
  `unsupportedDocumentTitle`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `describeContents()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sidesNotMatchingTitle

    @NonNull public final String sidesNotMatchingTitle

  - ### sidesNotMatchingMessage

    @NonNull public final String sidesNotMatchingMessage

  - ### dataMismatchTitle

    @NonNull public final String dataMismatchTitle

  - ### dataMismatchMessage

    @NonNull public final String dataMismatchMessage

  - ### unsupportedDocumentTitle

    @NonNull public final String unsupportedDocumentTitle

  - ### unsupportedDocumentMessage

    @NonNull public final String unsupportedDocumentMessage

  - ### recognitionTimeoutTitle

    @NonNull public final String recognitionTimeoutTitle

  - ### recognitionTimeoutMessage

    @NonNull public final String recognitionTimeoutMessage

  - ### retryButton

    @NonNull public final String retryButton

  - ### firstSideInstructions

    @NonNull public final String firstSideInstructions

  - ### flipInstructions

    @NonNull public final String flipInstructions

  - ### turnTopPageInstructions

    @NonNull public final String turnTopPageInstructions

  - ### turnLeftPageInstructions

    @NonNull public final String turnLeftPageInstructions

  - ### turnRightPageInstructions

    @NonNull public final String turnRightPageInstructions

  - ### backSideInstructions

    @NonNull public final String backSideInstructions

  - ### topPageInstructions

    @NonNull public final String topPageInstructions

  - ### leftPageInstructions

    @NonNull public final String leftPageInstructions

  - ### rightPageInstructions

    @NonNull public final String rightPageInstructions

  - ### backSideBarcodeInstructions

    @NonNull public final String backSideBarcodeInstructions

  - ### errorMoveCloser

    @NonNull public final String errorMoveCloser

  - ### errorMoveFarther

    @NonNull public final String errorMoveFarther

  - ### errorDocumentTooCloseToEdge

    @NonNull public final String errorDocumentTooCloseToEdge

  - ### errorDocumentNotFullyVisible

    @NonNull public final String errorDocumentNotFullyVisible

  - ### errorBlurDetected

    @NonNull public final String errorBlurDetected

  - ### errorGlareDetected

    @NonNull public final String errorGlareDetected

  - ### errorScanningWrongSide

    @NonNull public final String errorScanningWrongSide

  - ### errorScanningWrongPageTop

    @NonNull public final String errorScanningWrongPageTop

  - ### errorScanningWrongPageLeft

    @NonNull public final String errorScanningWrongPageLeft

  - ### errorScanningWrongPageRight

    @NonNull public final String errorScanningWrongPageRight

  - ### errorFacePhotoNotFullyVisible

    @NonNull public final String errorFacePhotoNotFullyVisible

  - ### flashlightWarning

    @NonNull public final String flashlightWarning

  - ### helpTooltip

    @NonNull public final String helpTooltip

  - ### onboardingSkipButtonText

    @NonNull public final String onboardingSkipButtonText

  - ### onboardingBackButtonText

    @NonNull public final String onboardingBackButtonText

  - ### onboardingNextButtonText

    @NonNull public final String onboardingNextButtonText

  - ### onboardingDoneButtonText

    @NonNull public final String onboardingDoneButtonText

  - ### onboardingTitles

    @NonNull public final String[] onboardingTitles

  - ### onboardingMessages

    @NonNull public final String[] onboardingMessages

  - ### introductionDialogTitle

    @NonNull public final String introductionDialogTitle

  - ### introductionDialogMessage

    @NonNull public final String introductionDialogMessage

  - ### introductionDoneButton

    @NonNull public final String introductionDoneButton

  - ### CREATOR

    public static final android.os.Parcelable.Creator<ReticleOverlayStrings> CREATOR

- ## Method Details

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`